Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Dynamic_Service_Base Class Reference

Base class for all ACE_Dynamic_Service instantiations. More...

`#include <Dynamic_Service_Base.h>`

Inheritance diagram for ACE_Dynamic_Service_Base:

[legend]
List of all members.

## Public Member Functions
void | dump (void) const
| Dump the current static of the object.
## Static Protected Member Functions
void * | instance (const ACE_TCHAR *name)
| Return instance using name to search the Service_Repository.

## Detailed Description

Base class for all ACE_Dynamic_Service instantiations.

Factors out common code shared by all ACE_Dynamic_Service instantiations, this avoid code bloat.

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_Dynamic_Service_Base::dump | ( | void |  | ) | const

| Dump the current static of the object.

void * ACE_Dynamic_Service_Base::instance | ( | const ACE_TCHAR * | name | ) | `[static, protected]`

| Return instance using name to search the Service_Repository. Reimplemented in ACE_Dynamic_Service< TYPE >.

The documentation for this class was generated from the following files:

- Dynamic_Service_Base.h
- Dynamic_Service_Base.cpp